Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Model.Core
Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Web.Editors.ASPx
Imports DevExpress.Web.ASPxGridView
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.Web.ASPxEditors

Public Class ResetSettingsVC
    Inherits DevExpress.ExpressApp.ViewController(Of ListView)

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)

    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        GLOBAL_ListViewReset = False
        '// IDEIGLENES TILTÁS !
        'Frame.GetController(Of ResetSettingsVC).aResetView.Active.SetItemValue("", False)
    End Sub
    
    Private Sub aResetView_Execute(sender As System.Object, e As DevExpress.ExpressApp.Actions.SimpleActionExecuteEventArgs) Handles aResetView.Execute
        GLOBAL_ListViewReset = True

        Dim oldModel As IModelView = View.Model

        AddHandler View.ModelSaving, AddressOf View_ModelSaving
        Application.MainWindow.SetView(Nothing)
        CType(oldModel, ModelNode).Undo()
        Application.MainWindow.SetView(Nothing)


    End Sub

    Private Sub View_ModelSaving(sender As Object, e As CancelEventArgs)

        e.Cancel = True
    End Sub
    

End Class
